import { Bridgly } from '@bridgly/sdk';
const client = new Bridgly({ apiKey: process.env.BRIDGLY_API_KEY });
const res = await client.instagram.getCommentReplies({
shortcode: "string",
count: 10,
commentId: "string",
});
if (res.type === 'success') console.log(res.data);curl --request POST \
--url https://api.bridgly.app/instagram/comment-replies \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"shortcode": "<string>",
"commentId": "<string>",
"count": 10,
"cursor": "<string>"
}
'import requests
url = "https://api.bridgly.app/instagram/comment-replies"
payload = {
"shortcode": "<string>",
"commentId": "<string>",
"count": 10,
"cursor": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({shortcode: '<string>', commentId: '<string>', count: 10, cursor: '<string>'})
};
fetch('https://api.bridgly.app/instagram/comment-replies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bridgly.app/instagram/comment-replies",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'shortcode' => '<string>',
'commentId' => '<string>',
'count' => 10,
'cursor' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.bridgly.app/instagram/comment-replies"
payload := strings.NewReader("{\n \"shortcode\": \"<string>\",\n \"commentId\": \"<string>\",\n \"count\": 10,\n \"cursor\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.bridgly.app/instagram/comment-replies")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"shortcode\": \"<string>\",\n \"commentId\": \"<string>\",\n \"count\": 10,\n \"cursor\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bridgly.app/instagram/comment-replies")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"shortcode\": \"<string>\",\n \"commentId\": \"<string>\",\n \"count\": 10,\n \"cursor\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"timeMs": 123,
"creditsCost": 123,
"data": {
"nextCursor": "<string>",
"replies": [
{
"id": "<string>",
"text": "<string>",
"created_at": 123,
"owner": {
"id": "<string>",
"username": "<string>",
"full_name": "<string>",
"profile_pic_url": "<string>",
"is_private": true,
"is_verified": true,
"profile_pic_id": "<string>",
"latest_reel_media": 123,
"is_mentionable": true
},
"likes_count": 123,
"media_id": "<string>",
"parent_comment_id": "<string>",
"replied_to_comment_id": "<string>",
"user_id": "<string>",
"is_edited": true,
"status": "<string>"
}
],
"comment": {
"id": "<string>",
"text": "<string>",
"created_at": 123,
"owner": {
"id": "<string>",
"username": "<string>",
"full_name": "<string>",
"profile_pic_url": "<string>",
"is_private": true,
"is_verified": true,
"profile_pic_id": "<string>",
"latest_reel_media": 123,
"is_mentionable": true
},
"likes_count": 123,
"media_id": "<string>",
"parent_comment_id": "<string>",
"replied_to_comment_id": "<string>",
"user_id": "<string>",
"is_edited": true,
"status": "<string>"
},
"replies_count": 123
}
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}List replies to a comment
List the accessible replies to an Instagram post comment in chronological order, including text, author, publish time, like count, the parent comment and total reply count. Supply the post shortcode and parent comment ID. Continue with nextCursor. Instagram may return a different page size than requested. Costs 1 credit per result returned, with a minimum of 1 credit per request.
import { Bridgly } from '@bridgly/sdk';
const client = new Bridgly({ apiKey: process.env.BRIDGLY_API_KEY });
const res = await client.instagram.getCommentReplies({
shortcode: "string",
count: 10,
commentId: "string",
});
if (res.type === 'success') console.log(res.data);curl --request POST \
--url https://api.bridgly.app/instagram/comment-replies \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"shortcode": "<string>",
"commentId": "<string>",
"count": 10,
"cursor": "<string>"
}
'import requests
url = "https://api.bridgly.app/instagram/comment-replies"
payload = {
"shortcode": "<string>",
"commentId": "<string>",
"count": 10,
"cursor": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({shortcode: '<string>', commentId: '<string>', count: 10, cursor: '<string>'})
};
fetch('https://api.bridgly.app/instagram/comment-replies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bridgly.app/instagram/comment-replies",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'shortcode' => '<string>',
'commentId' => '<string>',
'count' => 10,
'cursor' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.bridgly.app/instagram/comment-replies"
payload := strings.NewReader("{\n \"shortcode\": \"<string>\",\n \"commentId\": \"<string>\",\n \"count\": 10,\n \"cursor\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.bridgly.app/instagram/comment-replies")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"shortcode\": \"<string>\",\n \"commentId\": \"<string>\",\n \"count\": 10,\n \"cursor\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bridgly.app/instagram/comment-replies")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"shortcode\": \"<string>\",\n \"commentId\": \"<string>\",\n \"count\": 10,\n \"cursor\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"timeMs": 123,
"creditsCost": 123,
"data": {
"nextCursor": "<string>",
"replies": [
{
"id": "<string>",
"text": "<string>",
"created_at": 123,
"owner": {
"id": "<string>",
"username": "<string>",
"full_name": "<string>",
"profile_pic_url": "<string>",
"is_private": true,
"is_verified": true,
"profile_pic_id": "<string>",
"latest_reel_media": 123,
"is_mentionable": true
},
"likes_count": 123,
"media_id": "<string>",
"parent_comment_id": "<string>",
"replied_to_comment_id": "<string>",
"user_id": "<string>",
"is_edited": true,
"status": "<string>"
}
],
"comment": {
"id": "<string>",
"text": "<string>",
"created_at": 123,
"owner": {
"id": "<string>",
"username": "<string>",
"full_name": "<string>",
"profile_pic_url": "<string>",
"is_private": true,
"is_verified": true,
"profile_pic_id": "<string>",
"latest_reel_media": 123,
"is_mentionable": true
},
"likes_count": 123,
"media_id": "<string>",
"parent_comment_id": "<string>",
"replied_to_comment_id": "<string>",
"user_id": "<string>",
"is_edited": true,
"status": "<string>"
},
"replies_count": 123
}
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}Authorizations
A Bridgly API key (bgly_…). Metered endpoints deduct credits from the resolved account.
Body
Post shortcode, or the post or Reel link, e.g. "DA1b2C3d4E5" or "https://www.instagram.com/p/DA1b2C3d4E5/"
1Numeric ID of the parent comment.
^\d+$Number of results to return (1–10). Defaults to 10.
1 <= x <= 10The previous response's nextCursor, to fetch the next page. Omit it for the first page.
Was this page helpful?